Bug 194057 - dns/powerdns version bump
Summary: dns/powerdns version bump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-01 03:26 UTC by me
Modified: 2014-11-24 08:58 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
port patch (20.88 KB, patch)
2014-10-01 04:16 UTC, me
no flags Details | Diff
port patch - revised (20.52 KB, patch)
2014-10-01 04:19 UTC, me
no flags Details | Diff
final port patch (22.70 KB, patch)
2014-10-02 11:23 UTC, me
no flags Details | Diff
Update to 3.4.0 (76.34 KB, patch)
2014-10-03 17:54 UTC, Ralf van der Enden
no flags Details | Diff
Update to powerdns-3.4.0 (153.19 KB, patch)
2014-10-11 18:18 UTC, Ralf van der Enden
no flags Details | Diff
poudriere build log i386 (99.13 KB, text/plain)
2014-10-11 18:18 UTC, Ralf van der Enden
no flags Details
poudriere build log amd64 (99.22 KB, text/plain)
2014-10-11 18:19 UTC, Ralf van der Enden
no flags Details
Update to powerdns 3.4.0 (77.62 KB, patch)
2014-10-12 17:13 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
amd64 build log (99.22 KB, text/plain)
2014-10-13 07:34 UTC, Ralf van der Enden
no flags Details
i386 build log (99.13 KB, text/plain)
2014-10-13 07:35 UTC, Ralf van der Enden
no flags Details
update to powerdns 3.4.0 (hopefully the final patch) (153.19 KB, patch)
2014-10-13 07:36 UTC, Ralf van der Enden
no flags Details | Diff
Update to 3.4.0 (77.61 KB, patch)
2014-10-13 08:16 UTC, Ralf van der Enden
no flags Details | Diff
i386 build log (98.95 KB, text/plain)
2014-10-13 08:17 UTC, Ralf van der Enden
no flags Details
amd64 build log (99.04 KB, text/plain)
2014-10-13 08:17 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description me 2014-10-01 03:26:20 UTC
3.4.0 released on 30 Sep 2014: http://doc.powerdns.com/html/changelog.html#changelog-auth-3.4.0
Comment 1 Bugzilla Automation freebsd_committer 2014-10-01 03:26:20 UTC
Maintainer CC'd
Comment 2 me 2014-10-01 04:16:27 UTC
Created attachment 147870 [details]
port patch

Here's a bad attempt to update the port. I don't know how to deal with pkg-plist, so I just removed it. The port seems to install fine on my machine (amd64, FreeBSD 10).
Comment 3 me 2014-10-01 04:19:17 UTC
Created attachment 147871 [details]
port patch - revised

Oops, I created a wrong patch. Uploading again.
Comment 4 Ralf van der Enden 2014-10-01 07:20:43 UTC
I'm working on my own patch, which removes some deprecated options and has an updated pkg-plist.

Thanks for the effort though.
Comment 5 me 2014-10-02 11:23:18 UTC
Created attachment 147906 [details]
final port patch

Finally managed to update the Makefile so that it works with the latest release. I compiled with options = PGSQL and REMOTE, it worked. 

Running a bit short on time, so not testing others :)
Comment 6 Ralf van der Enden 2014-10-03 17:54:45 UTC
Created attachment 147940 [details]
Update to 3.4.0

Update to PowerDNS 3.4.0
  Changelog => http://doc.powerdns.com/html/changelog.html#changelog-auth-3.4.0
- Moved remote backend to regular (was experimental)
- Added the GeoIP, LMDB (both experimental) and Bind backend
- Removed Crypto++ support (as suggested by the author)
- Fixed the Luabackend on i386
- Added note to pkg-message about mandatory schema changes for gmysql, gpgsql and gsqlite3 backends
- Changed the example pdns.conf to include all possible configuration options when all backends are enabled
Comment 7 John Marino freebsd_committer 2014-10-08 17:53:28 UTC
Ralf, did you test your new version with poudriere?  If so, can you attach the log?
Comment 8 Ralf van der Enden 2014-10-09 09:07:41 UTC
I haven't, since I didn't have it installed/configured. Should I test it for both amd64 and i386 ? poudriere is new for me and didn't know it was required for sending in port updates
Comment 9 John Marino freebsd_committer 2014-10-09 11:52:32 UTC
It's not officially required, but it's something the committer will be required to run if you don't.  Therefore PRs that indicate that this test has already been done is much more likely to be picked up than one that is "untested".

It will make your PRs stand out if you provide logs and they'll be picked up faster.  Committers want PRs that are likely not to need any work, and poudriere logs with stage-qa checks goes a long way to indicate that's the case.
Comment 10 Ralf van der Enden 2014-10-10 08:06:16 UTC
Thanks for the clarification. After some experimenting with poudriere I killed my system ports several times (funny how zfs + poudriere works), which is causing somewhat of a delay. :(

After several testport runs I came to the realisation some of my changes didn't actually work for a clean system (it does when ports are already installed), so I'll create a new port soon.

Also, I've tried creating a i386 jail to test the port, but it always fails on installing ports-mgmt/pkg. The logfile tells me the installation fails because it's already installed. So unless you can tell what to do about that a log for building on amd64 is all I can supply somewhere today (including a new patch).
Comment 11 John Marino freebsd_committer 2014-10-10 08:50:17 UTC
(In reply to Ralf van der Enden from comment #10)
> After several testport runs I came to the realisation some of my changes
> didn't actually work for a clean system (it does when ports are already
> installed), so I'll create a new port soon.

That's good!  Had a committer discovered it, he would either have to fix it himself or kick it back to you and you can imagine kick-backs add a lot of time to the  process.  So this discovery alone made the request for poudriere logs worth it.


> Also, I've tried creating a i386 jail to test the port, but it always fails
> on installing ports-mgmt/pkg. The logfile tells me the installation fails
> because it's already installed. So unless you can tell what to do about that
> a log for building on amd64 is all I can supply somewhere today (including a
> new patch).

Are you using ports-mgmt/poudriere or ports-mgmt/poudriere-devel?  I haven't see that issue so I don't know what's causing it.  In any case, amd64-only logs are acceptable as a general rule.  More is better but one is enough.
Comment 12 Ralf van der Enden 2014-10-10 14:53:51 UTC
I figured out why my build didn't work. If you run poudriere testport with -c (make config prior to build) it will build pkg and dialog4ports. But since this was my first run on the new jail, there was no pkg package. So it will build and install pkg, and then try and do the same again which results in a 'package already installed' error.

Since I killed my local ports-tree and was struggling with the pkg issue (which now also occured on my amd64 jail), it took me most of today to get at least a build log for amd64 with all options enabled. While typing this mail the same is running for i386. Once it's done I'll submit the new patch and logs.

Thanks for the help and hopefully making use of poudriere will make me catch screw-ups on my end a lil' faster :)
Comment 13 Ralf van der Enden 2014-10-11 18:18:16 UTC
Created attachment 148199 [details]
Update to powerdns-3.4.0

New patch that does pass poudriere testport on i386 and amd64
Comment 14 Ralf van der Enden 2014-10-11 18:18:45 UTC
Created attachment 148200 [details]
poudriere build log i386
Comment 15 Ralf van der Enden 2014-10-11 18:19:11 UTC
Created attachment 148201 [details]
poudriere build log amd64
Comment 16 Ralf van der Enden 2014-10-11 18:19:38 UTC
New patch and build logs added.
Comment 17 John Marino freebsd_committer 2014-10-12 11:36:22 UTC
Hi Ralf, it's squawking at "make check-sanity" as you can see in the logs

=======================<phase: check-sanity   >============================
/!\ powerdns-3.4.0: Makefile warnings, please consider fixing /!\

Do not use USE_PGSQL. This port should use USES+= pgsql



Can you update the patch after fixing the port with USES=pgsql?

Also, you managed to add a diff to .gitignore on the last patch, so your new patch should not include that.

Thanks,
John
Comment 18 Ralf van der Enden 2014-10-12 16:44:24 UTC
I know about the USE_PGSQL warning, but for the life of me I cannot figure out where it's comming from. I already changed USE_PGSQL=YES to USES+= pgsql in the Makefile, but it's still coming up. I viewed all the relevant files in /usr/ports/Mk, but couldn't find anything useful in there either. So I'm at a loss with that one.

How I managed to included a diff to .gitignore is a mystery to me, but I'll post a new patch which doesn't include that.
Comment 19 Ralf van der Enden 2014-10-12 17:13:44 UTC
Created attachment 148222 [details]
Update to powerdns 3.4.0
Comment 20 Ralf van der Enden 2014-10-12 17:18:18 UTC
I know how the previous patch included more than just the patch for the port.

I use the porttools (ports-mgmt/porttools) to generate the diff, but since moving to poudriere I'm using GIT, where as before I used SVN.

Apparently running git status and git diff anywhere in a working copy, will generate a status or diff for the entire tree. 'git status .' and 'git diff .' does have the expected result, so I made changes in my local util_diff (/usr/local/share/porttools).

Hopefully the new patch is sufficient.

To comment further on the PGSQL thing from the buildlogs... this is part of the diff.

-PGSQL_USE=             PGSQL=YES
-PGSQL_LOCAL_USE=       PGSQL=server
+PGSQL_USE=             USES+= pgsql

I ran a 'grep -i use_pgsql' on dns/powerdns, but nothing came up. 'make -V USE_PGSQL' does show 'pgsql', but doesn't if I remove the USES+= pgsql.

It has to be in bsd.databases.mk or Uses/pgsql.mk somewhere, but I can't locate it.
Comment 21 John Marino freebsd_committer 2014-10-12 17:21:03 UTC
try:

PGSQL_USES= pgsql



test with "make -V USES".  It should show on the list.
Comment 22 Ralf van der Enden 2014-10-13 07:34:49 UTC
Created attachment 148229 [details]
amd64 build log
Comment 23 Ralf van der Enden 2014-10-13 07:35:06 UTC
Created attachment 148231 [details]
i386 build log
Comment 24 Ralf van der Enden 2014-10-13 07:36:29 UTC
Created attachment 148232 [details]
update to powerdns 3.4.0 (hopefully the final patch)

This patch finally fixes the USE_PGSQL-> USES+= issue.

Thanks for all the help John. I've learned a lot.
Comment 25 John Marino freebsd_committer 2014-10-13 07:44:43 UTC
There's something wrong with the patch.  It's twice the size as the previous one and seems to be including powerdns-devel.

Also it still shows PGSQL_USE= USES+=pgsql which doesn't look right to me.
Did you try PGSQL_USES= pgsql ?
Comment 26 Ralf van der Enden 2014-10-13 08:16:46 UTC
Created attachment 148233 [details]
Update to 3.4.0

I uploaded the patch from an old location on my harddrive, which contained old files (with almost the same filenames). My sincerest apologies (yet again).

This is the correct one.
Comment 27 Ralf van der Enden 2014-10-13 08:17:06 UTC
Created attachment 148234 [details]
i386 build log
Comment 28 Ralf van der Enden 2014-10-13 08:17:30 UTC
Created attachment 148235 [details]
amd64 build log
Comment 29 John Marino freebsd_committer 2014-10-13 08:24:24 UTC
No problem, I'm glad it was easy to fix. :)


I'm moving this to patch-ready pool now; everything looks good.
Comment 31 commit-hook freebsd_committer 2014-10-17 20:09:24 UTC
A commit references this bug:

Author: pi
Date: Fri Oct 17 20:08:33 UTC 2014
New revision: 371076
URL: https://svnweb.freebsd.org/changeset/ports/371076

Log:
  dns/powerdns: 3.3.1 -> 3.4.0

  Changelog
  http://doc.powerdns.com/html/changelog.html#changelog-auth-3.4.0

  - Moved remote backend to regular (was experimental)
  - Added the GeoIP, LMDB (both experimental) and Bind backend
  - Removed Crypto++ support (as suggested by the author)
  - Fixed the Luabackend on i386
  - Added note to pkg-message about mandatory schema changes for
    gmysql, gpgsql and gsqlite3 backends
  - Changed the example pdns.conf to include all possible configuration
    options when all backends are enabled

  PR:		194057
  Submitted by:	me@nileshgr.com, updated by tremere@cainites.net
  Approved by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/patch-pdns__Makefile.in
  head/dns/powerdns/files/pdns.conf
  head/dns/powerdns/files/pdns.in
  head/dns/powerdns/files/pkg-message.in
  head/dns/powerdns/pkg-plist
Comment 32 Kurt Jaeger freebsd_committer 2014-10-17 20:09:56 UTC
Committed, thanks. Now, what's next for the -devel port ?
Comment 33 Ralf van der Enden 2014-10-20 10:22:52 UTC
I'll update the -devel to 3.4.0 as well in the coming days.